package com.huimv.eartag2.manage2.service;

import com.huimv.eartag2.manage2.pojo.FarmerAsset;
import com.huimv.eartag2.common.utils.Result;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-08-29
 */
public interface FarmerAssetService extends IService<FarmerAsset> {

    List<FarmerAsset> getLastManyMonthAssets(String farmCode, String manyMonth);

    Result getAssetStatistics(Map<String, Object> paramsMap) throws ParseException;

}
